# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-dateutil15
%global srcname python-dateutil
Name:           python-module-dateutil15
Version:        1.5
Release:        alt1_2
Summary:        Powerful extensions to the standard datetime module

Group:          Development/Python
License:        Python
URL:            http://labix.org/python-dateutil
Source0:        http://labix.org/download/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-module-setuptools
Source44: import.info
# drop mustdie
%filter_from_requires /^python2..._winreg./d

%description
The dateutil module provides powerful extensions to the standard datetime
module available in Python 2.3+.  This is a parallel installable newer version 
for EPEL 6 only.  RHEL 6 base has python-dateutil 1.4.1

%prep
%setup -q -n %{srcname}-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
%{__python} setup.py bdist_egg

%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg

chmod -x %{buildroot}%{python_sitelibdir_noarch}/python_dateutil-1.5-py2.?.egg/dateutil/*.py 
chmod -x %{buildroot}%{python_sitelibdir_noarch}/python_dateutil-1.5-py2.?.egg/dateutil/zoneinfo/__init__.py

%files
%doc example.py LICENSE NEWS README
%{python_sitelibdir_noarch}/python_dateutil-1.5-py2.?.egg

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_2
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_1
- initial fc import

